VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo:

## Avaliable Methods
public method | set_documentation ()
public method | get_documentation ()
public method | set_name ()
public method | new ()
public method | set_metadata ()
public method | set_packages ()
public method | get_name ()
public method | get_metadata ()
public method | get_packages ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo` class contains metamodel metadata information about a component element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo::get_documentation | ( |  | ) |

Gets the value of 'documentation' property.

Return values

  documentation | - The current value of the field. English language documentation for a component. It can contain HTML markup and documentation tags (similar to Javadoc tags). The first sentence of the package documentation is a complete sentence that identifies the component by name and summarizes the purpose of the component. String#

Code:
click to view
# Number of lines of code in get_documentation: 4
sub get_documentation {
my ($self, %args) = @_;
return $self->{'documentation'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo::get_metadata | ( |  | ) |

Gets the value of 'metadata' property.

Return values

  metadata | - The current value of the field. Generic metadata for the component element. The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for keys in the map .

Map#

Code:
click to view
# Number of lines of code in get_metadata: 4
sub get_metadata {
my ($self, %args) = @_;
return $self->{'metadata'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Dot separated name of the component element. The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo::get_packages | ( |  | ) |

Gets the value of 'packages' property.

Return values

  packages | - The current value of the field. Metamodel metadata information of all the package elements contained in the component element. The key in the map is the identifier of the package element and the value in the map is the metamodel information of the package element. Map#

Code:
click to view
# Number of lines of code in get_packages: 4
sub get_packages {
my ($self, %args) = @_;
return $self->{'packages'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 22
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{packages} = $args{'packages'};
$self->{metadata} = $args{'metadata'};
$self->{documentation} = $args{'documentation'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.component_info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'packages', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'PackageInfo')}))));
$self->set_binding_field('key' => 'metadata', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ElementMap')}))));
$self->set_binding_field('key' => 'documentation', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo::set_documentation | ( |  | ) |

Sets the given value for 'documentation' property.

Parameters

  documentation | - New value for the field. English language documentation for a component. It can contain HTML markup and documentation tags (similar to Javadoc tags). The first sentence of the package documentation is a complete sentence that identifies the component by name and summarizes the purpose of the component.

Code:
click to view
# Number of lines of code in set_documentation: 5
sub set_documentation {
my ($self, %args) = @_;
$self->{'documentation'} = $args{'documentation'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo::set_metadata | ( |  | ) |

Sets the given value for 'metadata' property.

Parameters

  metadata | - New value for the field. Generic metadata for the component element. The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for keys in the map .

Code:
click to view
# Number of lines of code in set_metadata: 5
sub set_metadata {
my ($self, %args) = @_;
$self->{'metadata'} = $args{'metadata'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Dot separated name of the component element. The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ComponentInfo::set_packages | ( |  | ) |

Sets the given value for 'packages' property.

Parameters

  packages | - New value for the field. Metamodel metadata information of all the package elements contained in the component element. The key in the map is the identifier of the package element and the value in the map is the metamodel information of the package element.

Code:
click to view
# Number of lines of code in set_packages: 5
sub set_packages {
my ($self, %args) = @_;
$self->{'packages'} = $args{'packages'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/ComponentInfo.pm